﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;

namespace PreserveChangedRowBackground
{
    static class MyData
    {
        /// <summary>
        /// DataTable - Test Data
        /// </summary>
        /// <returns></returns>
        public static DataView GetData()
        {
            DataTable tbl = new DataTable("Locations");
            tbl.Columns.Add("name");
            tbl.Columns.Add("department");
            tbl.Columns.Add("salary");
            tbl.Columns.Add("email");

            for (int i = 1; i <= 5; i++)
            {
                DataRow dr = tbl.NewRow();

                dr["name"] = "Name " + i.ToString();
                dr["department"] = "Department " + i.ToString();
                dr["salary"] = (10000 * i);
                dr["email"] = "Name " + i.ToString() + "@.com";

                tbl.Rows.Add(dr);
            }

            return tbl.DefaultView;
        }
    }
}
